DBSCAN(1)

NAME
dbscan - scans a Directory Server database index file and dumps the contents

SYNOPSIS
dbscan -f <filename> [-R] [-t <size>] [-K <entry_id>] [-k <key>] [-l <size>] [-G <n>] [-n] [-r] [-s]

DESCRIPTION
Scans a Directory Server database index file and dumps the contents.

OPTIONS
A summary of options is included below:

    common options:

-A, --ascii
    dump as ascii data

-D, --db-type <filename>
    specify db type: bdb or mdb

-f, --dbi <filename>
    specify db instance

-R, --raw
    dump as raw data

-t, --truncate-entry <size>
    entry truncate size (bytes)

    entry file options:

-K, --entry-id <entry_id>
    lookup only a specific entry id

    index file options:

-G, --id-list-min-size <n>
    only display index entries with more than <n> ids

-I, --import <file>
    Import database instance from file. Requires --do-it parameter WARNING! Only the id2entry and replication_changelog database instances may be imported by dbscan.

-k, --key <key>
    lookup only a specific key

-l, --id-list-max-size <size>
    max length of dumped id list (default 4096; 40 bytes <= size <= 1048576 bytes)

-n, --show-id-list-lenghts
    display ID list lengths

--remove
    remove a db instance. Requires --do-it parameter

-r, --show-id-list
    display the contents of ID list

-S, --stats
    display statistics

-X, --export <file>
    Export database instance to file

    other options:

-s, --summary
    Summary of index counts

-L, --list
    List od database instances

--do-it
    confirmation required for actions that change the database contents

-h, --help-it
    display the usage

USAGE
Sample usages:

List the database instances
    dbscan -L /var/lib/dirsrv/slapd-supplier1/db

Dump the entry file:
    dbscan -f id2entry.db4

Display index keys in cn.db4:
    dbscan -f cn.db4

Display index keys in cn on lmdb:
    dbscan -f /var/lib/dirsrv/slapd-supplier1/db/userroot/cn.db
     (Note: Use dbscan -L db_home_dirget the db instance path)

Display index keys and the count of entries having the key in mail.db4:
    dbscan -r -f mail.db4

Display index keys and the IDs having more than 20 IDs in sn.db4:
    dbscan -r -G 20 -f sn.db4

Display summary of objectclass.db4:
    dbscan -s -f objectclass.db4

AUTHOR
dbscan was written by the 389 Project.

REPORTING BUGS
Report bugs to https://github.com/389ds/389-ds-base/issues/new

COPYRIGHT
Copyright © 2001 Sun Microsystems, Inc. Used by permission.
Copyright © 2017 Red Hat, Inc.
This manual page was written by Michele Baldessari <michele@pupazzo.org>, for the Debian project (but may be used by others).
This is free software. You may redistribute copies of it under the terms of the Directory Server license found in the LICENSE file of this software distribution. This license is essentially the GNU General Public License version 2 with an exception for plug-in distribution.